in scala.reflect
class DefDef

`case class` DefDef
  `extends` scala.reflect.Tree
  `with` scala.ScalaObject
  `with` scala.Product4[scala.reflect.Symbol, scala.List[scala.List[scala.reflect.Tree]], scala.reflect.Type, scala.reflect.Tree]

Constructor Summary
| `def` this (sym: scala.reflect.Symbol, vparamss: scala.List[scala.List[scala.reflect.Tree]], ret: scala.reflect.Type, rhs: scala.reflect.Tree)

Val Summary
| `val` ret : scala.reflect.Type
| `val` rhs : scala.reflect.Tree
| `val` sym : scala.reflect.Symbol
| `val` vparamss : scala.List[scala.List[scala.reflect.Tree]]

Def Summary
`final` `override` | `def` $tag : scala.Int
`final` `override` | `def` _1 : scala.reflect.Symbol
`final` `override` | `def` _2 : scala.List[scala.List[scala.reflect.Tree]]
`final` `override` | `def` _3 : scala.reflect.Type
`final` `override` | `def` _4 : scala.reflect.Tree
`override` | `def` equals (x$1: scala.Any) : scala.Boolean
`override` | `def` hashCode : scala.Int
`final` `override` | `def` productPrefix : java.lang.String
`override` | `def` toString : java.lang.String

Def inherited from scala.Product4[scala.reflect.Symbol, scala.List[scala.List[scala.reflect.Tree]], scala.reflect.Type, scala.reflect.Tree]
_1 , _2, _3, _4, arity, element

Constructor Detail

`def` this (sym: scala.reflect.Symbol, vparamss: scala.List[scala.List[scala.reflect.Tree]], ret: scala.reflect.Type, rhs: scala.reflect.Tree)

Val Detail

`val` ret : scala.reflect.Type

`val` rhs : scala.reflect.Tree

`val` sym : scala.reflect.Symbol

`val` vparamss : scala.List[scala.List[scala.reflect.Tree]]

Def Detail

`final override def` $tag : scala.Int

`final override def` _1 : scala.reflect.Symbol

`final override def` _2 : scala.List[scala.List[scala.reflect.Tree]]

`final override def` _3 : scala.reflect.Type

`final override def` _4 : scala.reflect.Tree

`override def` equals (x$1: scala.Any): scala.Boolean

`override def` hashCode : scala.Int

`final override def` productPrefix : java.lang.String

`override def` toString : java.lang.String